package be.cylab.java.wowa.training;

import java.io.IOException;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author CYLAB
 */
public final class Example {

    private Example() {

    }

    /**
     * Run algorithm with webshell dataset.
     * @param args
     * @throws IOException if input files cannot be read
     */
    public static void main(final String[] args) throws IOException {
        Logger logger = Logger.getLogger(Trainer.class.getName());
        logger.setLevel(Level.INFO);
        TrainerParameters parameters = new TrainerParameters(
                logger, 100, 60, 10, TrainerParameters.SELECTION_METHOD_RWS,
                250);
        Trainer trainer = new Trainer(parameters);
        List<double[]> data = Utils.convertJsonToDataForTrainer(
                "./ressources/webshell_data.json");
        double[] expected = Utils.convertJsonToExpectedForTrainer(
                "./ressources/webshell_expected.json");

        SolutionDistance solution = trainer.run(data, expected);
        System.out.println(solution);

    }

}
